GetSimple Support Forum

Full Version: [SOLVED]Theme and i18gallery problems
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hello there, during some experiments and test, i'v find this sort of error, for example, the i18n gallery plugin wont work correctly with some themes like "Escape Velocity" the fancybox, and others options dont work... how can i fix it?
B.Regards
(2013-05-12, 16:09:32)lakaroth Wrote: [ rel="nofollow" -> ]Hello there, during some experiments and test, i'v find this sort of error, for example, the i18n gallery plugin wont work correctly with some themes like "Escape Velocity" the fancybox, and others options dont work... how can i fix it?
B.Regards

Probably it's a problem with jQuery. Make sure that the theme uses jQuery 1.8.x or lower and that there is no jQuery.noConflict() call.
Quote:Probably it's a problem with jQuery. Make sure that the theme uses jQuery 1.8.x or lower and that there is no jQuery.noConflict() call.

Thanks for your answer and congrats for your usefull plugins.
I'm not able to verify JQuery i'm newbie Sad
But i try...
Check page's source (ctrl+u in most browsers) and search for "jquery" string.
The path to jquery library often contains version number. If not, just click on the link to jq library, and see the jquery version in sourcecode.
(2013-05-12, 22:30:44)yojoe Wrote: [ rel="nofollow" -> ]Check page's source (ctrl+u in most browsers) and search for "jquery" string.
The path to jquery library often contains version number. If not, just click on the link to jq library, and see the jquery version in sourcecode.

Thanks for your answer, here a screenshot.


Now what to do? Smile
Thanks
(2013-05-17, 20:10:18)lakaroth Wrote: [ rel="nofollow" -> ]Thanks for your answer, here a screenshot.

Depends on why jQuery 1.7 is included in your template.
But the easiest way is to have I18N Gallery not include jQuery itself by setting the appropriate option in I18N Gallery configuration settings.
SOLVED
Thanks to everyone... so this was the problem:

When i add in my template the string:
Quote:<script src="<?php get_theme_url(); ?>/js/jquery.prettyPhoto.js"></script>
He cant work because jquery.prettyPhoto.js is NOT in the corrects directory php get_theme_url Sad
So just copy and past in theme directory jquery.prettyPhoto.js or maybe change the string in:

Quote:<script src="<plugin/i18n_gallery/js/jquery.prettyPhoto.js"></script>

A lot of themes dont work with some plugins if you just unzip in theme folder and activated, up there's the solution for lot of problems.
Have a nice day guys!
Thanks again